# BEGIN SourceDeps(oneline):
BuildRequires: /proc /usr/bin/gdb libsowing-devel perl(Config.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name App-Stacktrace
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt7
Summary: Stack trace
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/App-Stacktrace

Source0: http://cpan.org.ua/authors/id/J/JJ/JJORE/%module_name-%module_version.tar.gz

%description
perl-stacktrace prints Perl stack traces of Perl threads for a given
Perl process. For each Perl frame, the full file name and line number
are printed.

For example, a stack dump of a running perl program:

    $ ps x | grep cpan
    24077 pts/12   T      0:01 /usr/local/bin/perl /usr/local/bin/cpan
    24093 pts/12   S+     0:00 grep cpan

    $ perl-stacktrace 24077
    0x00d73416 in __kernel_vsyscall ()
    /usr/local/bin/cpan:11
    /usr/local/lib/perl5/5.12.2/App/Cpan.pm:364
    /usr/local/lib/perl5/5.12.2/App/Cpan.pm:295
    /usr/local/lib/perl5/5.12.2/CPAN.pm:339
    /usr/local/lib/perl5/5.12.2/Term/ReadLine.pm:198

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%if "%version" == "0.09"
%define _without_test 1
%endif

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.09-alt7
- rebuild with perl 5.38

* Thu Jul 15 2021 Igor Vlasenko <viy@altlinux.org> 0.09-alt6
- rebuild with perl 5.34

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.09-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt2
- rebuild to get rid of unmets

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

